import axios from 'axios';

const create = async (data, headers = {}) => {
    try {
        const response = await axios.post(`${process.env.REACT_APP_USERS_MANAGEMENT_API}/invitations`, data, Object.keys(headers).length > 0 && { headers });

        return response.data;
    } catch (error) {
        throw error;
    }
};

const get = async (token, headers = {}) => {
    try {
        const response = await axios.get(`${process.env.REACT_APP_USERS_MANAGEMENT_API}/invitations/${token}`, Object.keys(headers).length > 0 && { headers });

        return response.data;
    } catch (error) {
        throw error;
    }
};

export const Invitations = {
    create,
    get
};
